package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * LicenseAutoActiveOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LicenseAutoActiveOpenApiVo   {
  @JsonProperty("autoActive")
  private Boolean autoActive;

  public LicenseAutoActiveOpenApiVo autoActive(Boolean autoActive) {
    this.autoActive = autoActive;
    return this;
  }

  /**
   * Get autoActive
   * @return autoActive
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull


  public Boolean getAutoActive() {
    return autoActive;
  }

  public void setAutoActive(Boolean autoActive) {
    this.autoActive = autoActive;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LicenseAutoActiveOpenApiVo licenseAutoActiveOpenApiVo = (LicenseAutoActiveOpenApiVo) o;
    return Objects.equals(this.autoActive, licenseAutoActiveOpenApiVo.autoActive);
  }

  @Override
  public int hashCode() {
    return Objects.hash(autoActive);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LicenseAutoActiveOpenApiVo {\n");
    
    sb.append("    autoActive: ").append(toIndentedString(autoActive)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

